#!/bin/sh
# shellcheck disable=2059

export end="\033[0m"
export black="\033[0;30m"
export blackb="\033[1;30m"
export white="\033[0;37m"
export whiteb="\033[1;37m"
export red="\033[0;31m"
export redb="\033[1;31m"
export green="\033[0;32m"
export greenb="\033[1;32m"
export yellow="\033[0;33m"
export yellowb="\033[1;33m"
export blue="\033[0;34m"
export blueb="\033[1;34m"
export purple="\033[0;35m"
export purpleb="\033[1;35m"
export lightblue="\033[0;36m"
export lightblueb="\033[1;36m"
export blacki="\033[0;90m"
export bluei="\033[0;94m"

black() {
  printf "${black}${1}${end}"
}

blackb() {
  printf "${blackb}${1}${end}"
}

blacki() {
  printf "${blacki}${1}${end}"
}

white() {
  printf "${white}${1}${end}"
}

whiteb() {
  printf "${whiteb}${1}${end}"
}

red() {
  printf "${red}${1}${end}"
}

redb() {
  printf "${redb}${1}${end}"
}

green() {
  printf "${green}${1}${end}"
}

greenb() {
  printf "${greenb}${1}${end}"
}

yellow() {
  printf "${yellow}${1}${end}"
}

yellowb() {
  printf "${yellowb}${1}${end}"
}

blue() {
  printf "${blue}${1}${end}"
}

blueb() {
  printf "${blueb}${1}${end}"
}

bluei() {
  printf "${bluei}${1}${end}"
}

purple() {
  printf "${purple}${1}${end}"
}

purpleb() {
  printf "${purpleb}${1}${end}"
}

lightblue() {
  printf "${lightblue}${1}${end}"
}

lightblueb() {
  printf "${lightblueb}${1}${end}"
}

colors() {
  black "black"
  blackb "blackb"
  white "white"
  whiteb "whiteb"
  red "red"
  redb "redb"
  green "green"
  greenb "greenb"
  yellow "yellow"
  yellowb "yellowb"
  blue "blue"
  blueb "blueb"
  purple "purple"
  purpleb "purpleb"
  lightblue "lightblue"
  lightblueb "lightblueb"
  blacki "blacki"
  bluei "bluei"
}
